Bug 736591 - RFE: allow user sort the cases
RFE: allow user sort the cases
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.5
All All
unspecified Severity medium
: ---
: 3.8.0
Assigned To: June Zhang
tools-bugs
: Regression, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-08 03:58 EDT by Caspar Zhang
Modified: 2016-07-05 15:10 EDT (History)
9 users (show)

See Also:
Fixed In Version: 3.8.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 02:16:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Caspar Zhang 2011-09-08 03:58:32 EDT
Description of problem:

I know the "Re-order cases" button but the cases are still not sorted as expected after I refresh the page. Can you make the testcases sort by default as the numbers in "sort" column defined?

IIRC, the sort column worked before, so I think it's a regression.
Comment 1 yawei Li 2012-05-21 02:16:58 EDT
fixied in 3.7.0
Comment 2 Xin Gao 2012-07-25 01:25:38 EDT
This problem is found in TCMS 3.8.0-1 on stage again, see following test plan,
https://tcms-stage.englab.bne.redhat.com/plan/5858/test-plan-for-tcms-37
this feature is much important for user sorting testcase, so reopen this bug.

Thanks
Xin
Comment 3 Zheng Liu 2012-07-30 05:40:16 EDT
This bug has been fixed
Comment 4 xubai 2012-07-31 03:42:45 EDT
Verify 3.8.0-2 on stage --> PASS

Verify steps:
1. choose any test run with cases
2. click re-order cases
3. drag or drop the case and click done sorting

Actual results:
re-order the cases successfully.

Note You need to log in before you can comment on or make changes to this bug.